#ifndef _MOUNT_POINT_H
#define _MOUNT_POINT_H

#include "world_entity.h"

class TiXmlElement;


class MountPoint : public WorldEntity
{
    ObjectListDeclaration(MountPoint);

  public:
    MountPoint (const Vector& up, const Vector& forward, const Vector& center, const std::string& name);
    virtual ~MountPoint ();

    void init();
    void initMountPoint(const TiXmlElement* root);


    virtual void tick (float time);
    virtual void draw() const;

    void debugDraw() const;


    void mount(WorldEntity* entity);
    void unmount();


  private:
    WorldEntity*         _mount;       //!< the entity mounted at this mount point
    std::string          _name;        //!< the name of the mount point

};

#endif /* _MOUNT_POINT_H */
